---
lang: en
title: 'API docs: repository.wherebuilder.impose'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.wherebuilder.impose.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [WhereBuilder](./repository.wherebuilder.md) &gt; [impose](./repository.wherebuilder.impose.md)

## WhereBuilder.impose() method

Add a where object. For conflicting keys with the existing where object, create an `and` clause.

<b>Signature:</b>

```typescript
impose(where: Where<MT>): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  where | <code>Where&lt;MT&gt;</code> | Where filter |

<b>Returns:</b>

`this`


